Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.icao
Class LDSVersionInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.icao.LDSVersionInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class LDSVersionInfo
extends ASN1Object

Constructor Summary
`LDSVersionInfo(java.lang.String ldsVersion, java.lang.String unicodeVersion)`

Method Summary
`static LDSVersionInfo` | `getInstance(java.lang.Object obj)`
`java.lang.String` | `getLdsVersion()`
`java.lang.String` | `getUnicodeVersion()`
`ASN1Primitive` | `toASN1Primitive()` LDSVersionInfo ::= SEQUENCE { ldsVersion PRINTABLE STRING unicodeVersion PRINTABLE STRING }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDSVersionInfo

    public LDSVersionInfo(java.lang.String ldsVersion,
                          java.lang.String unicodeVersion)

Method Detail

### getInstance

    public static LDSVersionInfo getInstance(java.lang.Object obj)

### getLdsVersion

    public java.lang.String getLdsVersion()

### getUnicodeVersion

    public java.lang.String getUnicodeVersion()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  LDSVersionInfo ::= SEQUENCE { ldsVersion PRINTABLE STRING unicodeVersion PRINTABLE STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    an ASN.1 primitive composition of this LDSVersionInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD